# Restore Pipeline Version

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Restore Pipeline Version"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/versions/{version_id}/restore"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Restore Pipeline Version

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Name of the pipeline.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"Name of the pipeline.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"The ID of the pipeline version.","in":"path","name":"version_id","required":true,"schema":{"description":"The ID of the pipeline version.","format":"uuid","title":"Version ID","type":"string"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"config_yaml":{"description":"The deepset pipeline YAML configuration for querying.","title":"Query YAML","type":"string"},"created_at":{"description":"The date and time when the pipeline version was created.","format":"date-time","title":"Created At","type":"string"},"created_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who created the pipeline version.","title":"Created By"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The description of the pipeline version.","title":"Description"},"is_draft":{"default":false,"description":"Whether the pipeline version is a draft.","title":"Is Draft","type":"boolean"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the pipeline version.","title":"Name"},"output_type":{"default":"unknown","description":"The type of output this pipeline version produces, such as GENERATIVE, EXTRACTIVE, DOCUMENT, CHAT, or UNKNOWN.","title":"Output Type","enum":["generative","extractive","document","unknown","chat"],"type":"string"},"read_only":{"default":true,"description":"Whether the pipeline version is read-only for the current user.","title":"Read Only","type":"boolean"},"supports_prompt":{"description":"Indicates whether this pipeline version includes components with prompt templates you can customize.","title":"Has Customizable Prompts","type":"boolean"},"updated_at":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"The date and time when the pipeline version was last updated.","title":"Updated At"},"updated_by":{"anyOf":[{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},{"type":"null"}],"description":"The user who last updated the pipeline version.","title":"Updated By"},"version_id":{"description":"The ID of the pipeline version.","format":"uuid","title":"Version ID","type":"string"},"version_number":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"The number of the pipeline version.","title":"Version Number"}},"required":["config_yaml","version_id","created_by","created_at","supports_prompt"],"title":"QueryPipelineVersion","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
